Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Class ProcessInstanceQueryResult

    java.lang.Object
      com.bea.wli.management.runtime.ProcessInstanceQueryResult

All Implemented Interfaces:
  Serializable

public class ProcessInstanceQueryResult
extends Object
implements Serializable

Represents the result of a process instance query.

See Also:
  `{@link ProcessInstanceQuery}`, `{@link ProcessRuntimeMBean}`, Serialized Form

Constructor Summary
`ProcessInstanceQueryResult(String[] instanceIds, Date queryDate, boolean isAll)`

Method Summary
`String` | `getInstanceId(int index)` Convenience method for obtaining a particular instance id in the result.
`String[]` | `getInstanceIds()` Returns conversation ids of all the instances that satisfied the relevant `ProcessInstanceQuery`
`Date` | `getQueryDate()` Returns the approximate date when this result was obtained.
`int` | `getResultCard()` Simply returns the number of instances ids returned.
`boolean` | `isAll()` Returns true if the all the instances that satisfied the original `ProcessInstanceQuery` was returned.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessInstanceQueryResult

    public ProcessInstanceQueryResult(String[] instanceIds,
                                      Date queryDate,
                                      boolean isAll)

Method Detail

### getInstanceIds

    public String[] getInstanceIds()

  Returns conversation ids of all the instances that satisfied the relevant `ProcessInstanceQuery`

### getInstanceId

    public String getInstanceId(int index)

  Convenience method for obtaining a particular instance id in the result.

### getResultCard

    public int getResultCard()

  Simply returns the number of instances ids returned. Returns the same value as `getInstanceIds().length`

  Returns:

### getQueryDate

    public Date getQueryDate()

  Returns the approximate date when this result was obtained.

  Returns:

### isAll

    public boolean isAll()

  Returns true if the all the instances that satisfied the original `ProcessInstanceQuery` was returned. Some instances will not be returned if the query limited the result cardinality explicitly (via `ProcessInstanceQuery.setCount(int)`) or the result cardinality was larger than the server-specific upper limit.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD